List folders

Retrieve all folders in your workspace. Folders are used to organize projects, docs, channels, dashboards, agents, and other folders into a hierarchical structure — similar to a file system.

Results can be filtered by title or parent folder, sorted by creation date or title, and are paginated.

Tip: To list only root-level folders, filter with filter[parent_folder_id]=null. To list children of a specific folder, set filter[parent_folder_id] to that folder's ID.

Note: The folders field (containing child folder IDs) is only populated when filtering by parent_folder_id. Without this filter, folders will be null for performance reasons. To retrieve child folders for a specific folder, either use filter[parent_folder_id] or call the Get folder (GET /v1/folders/:folder_id) endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
page
object

See Pagination for details about how to use a cursor to iterate through the list.

filter
object

See Filters for details on parameter formatting.

enum

See Sort for details on the sort parameter.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json